Skip to main content
PATCH
/
v0
/
assistant
/
{assistant_id}
/
config
curl --request PATCH \
  --url 'https://api.unify.ai/v0/assistant/<assistant_id>/config' \
  --header "Authorization: Bearer $UNIFY_KEY"
  --header 'Content-Type: application/json' \
  --data '{
    "first_name": "Ada",
    "surname": "Lovelace",
    "age": 28,
    "nationality": "North America",
    "weekly_limit": 20.5,
    "max_parallel": 3,
    "profile_photo": "https://example.com/photos/ada.jpg",
    "profile_video": "https://example.com/videos/ada_new.mp4",
    "desktop_mode": "macos",
    "user_desktop_id": 1,
    "user_desktop_filesys_sync": false,
    "about": "Award-winning mathematician specializing in algorithm development",
    "voice_id": "bf0a246a-8642-498a-9950-80c35e9276b5",
    "voice_provider": "elevenlabs",
    "timezone": "Europe/London",
    "monthly_spending_cap": 100.0,
    "deploy_env": "preview"
}'
{
    "info": {
        "agent_id": "123",
        "first_name": "Alice",
        "surname": "Smith",
        "age": 25,
        "weekly_limit": 45.0,
        "max_parallel": 4,
        "about": "Award-winning mathematician specializing in algorithm development",
        "phone": "+1-555-987-6543",
        "email": "alice.smith@example.com",
        "nationality": "United States",
        "profile_photo": "https://example.com/photos/alice.jpg",
        "profile_video": "https://example.com/videos/alice.mp4",
        "voice_id": "bf0a246a-8642-498a-9950-80c35e9276b5",
        "voice_provider": "cartesia",
        "phone_country": "US",
        "timezone": "America/New_York",
        "created_at": "2025-04-25T12:00:00Z",
        "updated_at": "2025-04-25T14:30:00Z"
    }
}
Updates the configuration parameters of an existing assistant. Profile photo cannot be updated via this endpoint.

Authorizations

Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

assistant_id
integer
required

Body

first_name
string | null
First name of the assistant
surname
string | null
Surname of the assistant
age
integer | null
Age of the assistant
nationality
string | null
Assistant’s nationality
weekly_limit
number | null
Weekly time limit for the assistant in hours
max_parallel
integer | null
Maximum number of parallel tasks the assistant can handle
profile_photo
string | null
URL to the assistant’s profile photo
profile_video
string | null
URL to the assistant’s profile video
desktop_mode
string | null
Desktop operating system mode for VM type
user_desktop_id
integer | null
ID of the registered user desktop to assign to this assistant
user_desktop_filesys_sync
boolean | null
Whether to enable filesystem sync with user’s desktop
about
string | null
Brief description about the assistant
user_phone
string | null
DEPRECATED – use POST /assistant//contact instead.
phone
string | null
DEPRECATED – use POST /assistant//contact instead.
phone_country
string | null
DEPRECATED – use POST /assistant//contact instead.
email
string | null
DEPRECATED – use POST /assistant//contact instead.
user_whatsapp_number
string | null
DEPRECATED – use POST /assistant//contact instead.
voice_id
string | null
Id of the voice (Cartesia ID) to use for the assistant
voice_provider
string | null
Provider of the selected voice (e.g., ‘elevenlabs’, ‘openai’)
timezone
string | null
Timezone of the assistant in IANA format
create_infra
boolean | null
default:"true"
Whether to create infrastructure for the assistant during update (e.g., phone, email). Set to false for testing.
is_local
boolean | null
Whether this is a local assistant (runs unity locally instead of on GKE).
monthly_spending_cap
number | null
Monthly spending limit in dollars. Set to null to remove the limit.
deploy_env
string | null
Set to ‘preview’ to route this assistant to the preview runtime stack. Set to null to revert to native routing.
curl --request PATCH \
  --url 'https://api.unify.ai/v0/assistant/<assistant_id>/config' \
  --header "Authorization: Bearer $UNIFY_KEY"
  --header 'Content-Type: application/json' \
  --data '{
    "first_name": "Ada",
    "surname": "Lovelace",
    "age": 28,
    "nationality": "North America",
    "weekly_limit": 20.5,
    "max_parallel": 3,
    "profile_photo": "https://example.com/photos/ada.jpg",
    "profile_video": "https://example.com/videos/ada_new.mp4",
    "desktop_mode": "macos",
    "user_desktop_id": 1,
    "user_desktop_filesys_sync": false,
    "about": "Award-winning mathematician specializing in algorithm development",
    "voice_id": "bf0a246a-8642-498a-9950-80c35e9276b5",
    "voice_provider": "elevenlabs",
    "timezone": "Europe/London",
    "monthly_spending_cap": 100.0,
    "deploy_env": "preview"
}'
{
    "info": {
        "agent_id": "123",
        "first_name": "Alice",
        "surname": "Smith",
        "age": 25,
        "weekly_limit": 45.0,
        "max_parallel": 4,
        "about": "Award-winning mathematician specializing in algorithm development",
        "phone": "+1-555-987-6543",
        "email": "alice.smith@example.com",
        "nationality": "United States",
        "profile_photo": "https://example.com/photos/alice.jpg",
        "profile_video": "https://example.com/videos/alice.mp4",
        "voice_id": "bf0a246a-8642-498a-9950-80c35e9276b5",
        "voice_provider": "cartesia",
        "phone_country": "US",
        "timezone": "America/New_York",
        "created_at": "2025-04-25T12:00:00Z",
        "updated_at": "2025-04-25T14:30:00Z"
    }
}